{
  "criteria": {
    "use_ring": {
      "trigger": "minecraft:using_item",
      "conditions": {
        "player": {
          "type_specific": {
            "type": "minecraft:player",
            "looking_at": {
              "type": "minecraft:player"
            }
          }
        },
        "item": {
          "predicates": {
            "custom_data": {
              "IsDiamondRing": true
            }
          }
        }
      }
    }
  },
  "requirements": [
    [
      "use_ring"
    ]
  ],
  "rewards": {
    "function": "overly_realistic:players/operations/player_use_diamond_ring"
  }
}